Subject: Re: [RFC] wrr (weighted round-robin) bonding

From: Dawid Ciezarkiewicz <[email-masked]>
Date: Mon, 16 Oct 2006 21:07:57 +0200

On Monday, 16 October 2006 20:50, you wrote:
> 
> Dawid Ciezarkiewicz <[email-masked]> wrote:
> [...]
> >+	weighted-rr or 7
> >+
> >+		Weighted round-robin bonding. In this mode bonding
> >+		interface will use weights assigned to it's slaves.
> >+
> >+		Each slave can have weight assigned via ioctl (ifenslave).
> >+		These values will be used at the start of each "cycle".
> >+		Each slave will have token counter restored to it's weight.
> >+		Then using round-robin mechanism those tokens are "used"
> >+		to pay for emitted frames. When all token counters are
> >+		zeroed - new "cycle" begins.
> 
> 	Before getting into the technical bits of the patch, what's the
> reason for wanting to do this, and why is this rather complex manual
> weight assignment better than an automatic system based on, e.g., link
> speed of the slaves?

In short:
It was designed as a solution for wireless links bonding - where link quality 
can change rather quickly in time. By using wrr bonding, userspace tools can 
measure current bandwidth and change bonding slave weights in realtime.

It was written for Lintrack, and you can read about it's usage here:
http://lintrack.org/index.php/about/advantage